



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>物联网架构成长之路(14)-SpringBoot整合thymeleaf</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">物联网架构成长之路(14)-SpringBoot整合thymeleaf</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-06 06:01:56 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>　　使用thymeleaf作为模版进行测试<br />　　在pom.xml 增加依赖</p>
<div>
<pre class="prettyprint linenums"> &lt;dependency&gt;<br />
     &lt;groupId&gt;org.springframework.boot&lt;/groupId&gt;<br />
     &lt;artifactId&gt;spring-boot-starter-thymeleaf&lt;/artifactId&gt;<br />
 &lt;/dependency&gt;</pre>
</div>
<p>　　在application.properties中进行配置</p>
<div>
<pre class="prettyprint linenums"> #thymeleaf start<br />
 spring.thymeleaf.mode=HTML5<br />
 spring.thymeleaf.encoding=UTF-<br />
 spring.thymeleaf.content-type=text/html<br />
 #开发时关闭缓存，不然没法看到实时页面<br />
 spring.thymeleaf.cache=false<br />
 spring.thymeleaf.prefix=classpath:/templates/<br />
 spring.thymeleaf.suffix=.html<br />
 #thymeleaf end</pre>
</div>
<p>　　在 src/main/resources 下新建 templates 目录 并创建 hellohtml.html 文件</p>
<div>
<pre class="prettyprint linenums"> &lt;!DOCTYPE html&gt;<br />
 &lt;html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org"<br />
       xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3"&gt;<br />
     &lt;head&gt;<br />
         &lt;title&gt;Hello World!&lt;/title&gt;<br />
     &lt;/head&gt;<br />
     &lt;body&gt;<br />
         &lt;h1 th:inline="text"&gt;Hello.v.2&lt;/h1&gt;<br />
         &lt;p th:text="${hello}"&gt;&lt;/p&gt;<br />
     &lt;/body&gt;<br />
 &lt;/html&gt; </pre>
</div>
<p>　　增加Controller</p>
<div>
<pre class="prettyprint linenums"> @Controller<br />
 @RequestMapping("/html")<br />
 public class ThymeleafController {<br />
     @RequestMapping("/hellohtml")<br />
     public String helloHtml(Map&lt;String, Object&gt; map) {<br />
         map.put("hello", "from TemplateController.helloHtml");<br />
         return "/hellohtml";<br />
     }<br />
 }</pre>
</div>
<p>　　预览看效果</p>
<p><img referrerpolicy="no-referrer"src="https://images2017.cnblogs.com/blog/485067/201802/485067-20180208140749857-849363532.png" /></p>
<p>　　关于thymeleaf更多的语法这里就不展开说了。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/m8zemn8y.html">ABP源码分析二十一：Feature</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qx35xzq.html">从Unity引擎过度到Unreal4引擎&lpar;最终版&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/95xrxom8.html">TPageControl组件</a>
		</li>
						<li><a href="https://www.batexi.com/a/96okd5j9.html">HTML5中的Canvas</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxng3ev8.html">打造属于前端的Uri解析器</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxn77dj8.html">html和css实现一级菜单和二级菜单学习笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zz6ke9.html">纯js客服插件集qq、旺旺、skype、百度hi、msn</a>
		</li>
						<li><a href="https://www.batexi.com/a/93yn0xr8.html">Broker节点</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdexly9.html">ThinkPHP3&period;2基础知识（三）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1k22409.html">找不到javax&period;servlet&period;Filter类，</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlj72dk9.html">Python 中if的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgv05d8.html">2018-2019-2 20165314『网络对抗技术』Exp5：MSF基础应用</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1rkeg68.html">Java：编码与乱码问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/90r2y539.html">Python比较（关系）运算符</a>
		</li>
						<li><a href="https://www.batexi.com/a/960ljxn9.html">《Java程序设计》win10系统学前准备</a>
		</li>
						<li><a href="https://www.batexi.com/a/8empzmx9.html">web&period;xml 中以编码方式添加filter并设置初始化参数AbstractAnnotationConfigDispatchServletInitializer</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gpnn1e9.html">python序列化和json</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pmjgoz9.html">《DSP using MATLAB》示例Example 8&period;20</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvdjleoq.html">面试题-Java设计模式举例</a>
		</li>
						<li><a href="https://www.batexi.com/a/8od0nkxq.html">lnmp架构-负载均衡</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qlldjk0q.html">【Java】 剑指offer&lpar;44&rpar; 连续子数组的最大和</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdw1w0j9.html">C&plus;&plus;Primer笔记&mdash;&mdash;文本查询程序（原创，未使用类）</a>
			</li>
						<li><a href="https://www.batexi.com/a/95glgyzq.html">PyQt5安装及ModuleNotFoundError&colon; No module named &amp;&num;39&semi;PyQt5&amp;&num;39&semi;问题解决</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyynyk2q.html">HDU 2896 病毒侵袭【AC自动机】</a>
			</li>
						<li><a href="https://www.batexi.com/a/960234y9.html">Android 7&period;0 PopupWindow 又引入新的问题，Google工程师也不够仔细么</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwvplml8.html">聊聊RPC原理二</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4j5mo0q.html">51Nod1577 异或凑数 线性基 构造</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j16pne9.html">COGS&period;1689&period;&lbrack;HNOI2010&rsqb;Bounce 弹飞绵羊&lpar;分块&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pw63678.html">BZOJ2759一个动态树好题 LCT</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnv6yxx8.html">java&period;lang&period;IllegalStateException&colon; Illegal access</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
